summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-07-20 10:01:25 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-07-21 01:43:05 -0500
commit3f865a3d02ef68f51efb2c22aa75cebe8d3e24c9 (patch)
treeaafeb5e0100cbd33a9184f2418d7e2c3255f209c
parent38241b0b9bdbc7771dea5764e3f418d1287bdec2 (diff)
downloadslackbuilds-3f865a3d02ef68f51efb2c22aa75cebe8d3e24c9.tar.gz
slackbuilds-3f865a3d02ef68f51efb2c22aa75cebe8d3e24c9.tar.xz
system/vboxgtk: Added (GTK frontend for VirtualBox)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--system/vboxgtk/README4
-rw-r--r--system/vboxgtk/doinst.sh10
-rw-r--r--system/vboxgtk/slack-desc19
-rw-r--r--system/vboxgtk/vboxgtk.SlackBuild87
-rw-r--r--system/vboxgtk/vboxgtk.info10
5 files changed, 130 insertions, 0 deletions
diff --git a/system/vboxgtk/README b/system/vboxgtk/README
new file mode 100644
index 0000000000..adaeff13b1
--- /dev/null
+++ b/system/vboxgtk/README
@@ -0,0 +1,4 @@
+VBoxGtk is a simple GTK frontend for VirtualBox. Its objective is to support
+only the basic features of VirtualBox and keep the interface simple and clean.
+
+This requires virtualbox-ose.
diff --git a/system/vboxgtk/doinst.sh b/system/vboxgtk/doinst.sh
new file mode 100644
index 0000000000..0b28dadc4a
--- /dev/null
+++ b/system/vboxgtk/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/system/vboxgtk/slack-desc b/system/vboxgtk/slack-desc
new file mode 100644
index 0000000000..49e763deb4
--- /dev/null
+++ b/system/vboxgtk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+vboxgtk: vboxgtk (Simple GTK fronted for VirtualBox)
+vboxgtk:
+vboxgtk: VBoxGtk is a simple GTK frontend for VirtualBox. Its objective is
+vboxgtk: to support only the basic features of VirtualBox and keep the
+vboxgtk: interface simple and clean.
+vboxgtk:
+vboxgtk: Homepage: http://vboxgtk.sourceforge.net/
+vboxgtk:
+vboxgtk:
+vboxgtk:
+vboxgtk:
diff --git a/system/vboxgtk/vboxgtk.SlackBuild b/system/vboxgtk/vboxgtk.SlackBuild
new file mode 100644
index 0000000000..22adb4731f
--- /dev/null
+++ b/system/vboxgtk/vboxgtk.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for vboxgtk
+
+# Copyright 2009-2010 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vboxgtk
+VERSION=0.5.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL PKG-INFO README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/vboxgtk/vboxgtk.info b/system/vboxgtk/vboxgtk.info
new file mode 100644
index 0000000000..e36cf6b8a2
--- /dev/null
+++ b/system/vboxgtk/vboxgtk.info
@@ -0,0 +1,10 @@
+PRGNAM="vboxgtk"
+VERSION="0.5.1"
+HOMEPAGE="http://vboxgtk.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/vboxgtk/vboxgtk-0.5.1.tar.gz"
+MD5SUM="56b81f62054ab62679fd085a0aa8c3ac"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="rworkman"